{% extends 'base.html' %}
{% block content %}

<div class="jumbotron">

<div class="boards">
{% for e in boards %}
<div class="container">
  	<div  item_id="{{e['id']}}" class="alert alert-success" role="alert">
		<h2 class="alert-heading">{{e['title']}}</h2>
		<p>
			{{e['text']}}
		</p>

		<div class="span4 collapse-group">
			<div class="collapse" id="viewdetails{{ e['id'] }}">
				{% if e['comments']|length > 0 %}
					{% for comment in e['comments'] %}
						<hr>
						<p style="font-size:14px">
							{{ comment }}
						</p>
					{% endfor %}
				{% endif %}
				<hr>
				<form class="form-inline" action="/add_comment" method="POST">
					<div class="form-group mx-sm-3 mb-2">
						<label for="comment" class="sr-only">Comment:</label>
						<input type="hidden" value="{{e['id']}}" name="id">
						<input type="text" class="form-control" name="comment" id="comment" placeholder="add comment...">
					</div>
					<button type="submit" class="btn btn-info mb-2">Add</button>
				</form>
			</div>
						
			<p>
				<a class="btn" data-toggle="collapse" data-target="#viewdetails{{ e['id'] }}">View comments ({{ e['comments']|length }}) &raquo;</a>
				<button class="btn btn-default btn-lg btn-link" id="{{e['id']}}" onclick="like(id);">
					<span class="glyphicon glyphicon-thumbs-up"></span>
				</button>
				<span class="badge badge-notify" id="like{{e['id']}}">{{ e['likes'] }}</span>
				</a>
			</p>
		</div>
	</div>
</div>
{% endfor %}
</div>
</div>
<script type="text/javascript" src="{{ url_for('static', filename='js/board_manager.js') }}"></script>
{% endblock %}
